Skip to main content
DELETE
/
public-api
/
technicians
/
{profile_id}
Soft-delete a technician
curl --request DELETE \
  --url https://api.neoagent.io/public-api/technicians/{profile_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "custom_instructions": "<string>",
    "id": 123,
    "is_ready": true,
    "name": "<string>",
    "profile": "<string>",
    "psa_id": 123,
    "update_automatically": true,
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Path Parameters

profile_id
string
required

Response

Success.

data
Technician · object
required
meta
object
required